OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::universal_midi_packets::ToUMP1Converter Struct Reference

`#include <juce_UMPConverters.h>`

## Public Member Functions
template<typename Fn >
void | convert (const BytestreamMidiView &m, Fn &&fn)
template<typename Fn >
void | convert (const View &v, Fn &&fn)

## Detailed Description

Allows conversion from bytestream- or Universal MIDI Packet-formatted messages to MIDI 1.0 messages in UMP format.

Definition at line 33 of file juce_UMPConverters.h.

## Member Function Documentation

## ◆ convert() [1/2]

template<typename Fn >

void juce::universal_midi_packets::ToUMP1Converter::convert | ( | const BytestreamMidiView & | m,
|  | Fn && | fn )
| inline

Definition at line 36 of file juce_UMPConverters.h.

## ◆ convert() [2/2]

template<typename Fn >

void juce::universal_midi_packets::ToUMP1Converter::convert | ( | const View & | v,
|  | Fn && | fn )
| inline

Definition at line 42 of file juce_UMPConverters.h.

The documentation for this struct was generated from the following file:

- juce_UMPConverters.h